QXmpp: QXmppDiscoveryManager Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Signals | Public Member Functions | List of all members
QXmppDiscoveryManager Class Reference
Managers

The QXmppDiscoveryManager class makes it possible to discover information about other entities as defined by XEP-0030: Service Discovery. More...

`#include <QXmppDiscoveryManager.h>`

Inheritance diagram for QXmppDiscoveryManager:

## Signals
void | infoReceived (const QXmppDiscoveryIq &)
| This signal is emitted when an information response is received.
void | itemsReceived (const QXmppDiscoveryIq &)
| This signal is emitted when an items response is received.

## Public Member Functions
QXmppDiscoveryIq | capabilities ()
| Returns the client's full capabilities.
QString | requestInfo (const QString &jid, const QString &node="")
QString | requestItems (const QString &jid, const QString &node="")
QString | clientCapabilitiesNode () const
void | setClientCapabilitiesNode (const QString &)
QString | clientCategory () const
void | setClientCategory (const QString &)
void | setClientName (const QString &)
QString | clientName () const
QString | clientType () const
void | setClientType (const QString &)
QXmppDataForm | clientInfoForm () const
void | setClientInfoForm (const QXmppDataForm &form)
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList < QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Additional Inherited Members
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)

## Detailed Description

The QXmppDiscoveryManager class makes it possible to discover information about other entities as defined by XEP-0030: Service Discovery.

## Member Function Documentation

QString QXmppDiscoveryManager::clientCapabilitiesNode | ( |  | ) | const

Returns the capabilities node of the local XMPP client.

By default this is "http://code.google.com/p/qxmpp".

QString QXmppDiscoveryManager::clientCategory | ( |  | ) | const

Returns the category of the local XMPP client.

By default this is "client".

QXmppDataForm QXmppDiscoveryManager::clientInfoForm | ( |  | ) | const

Returns the client's extended information form, as defined by XEP-0128 Service Discovery Extensions.

QString QXmppDiscoveryManager::clientName | ( |  | ) | const

Returns the name of the local XMPP client.

By default this is "Based on QXmpp x.y.z".

QString QXmppDiscoveryManager::clientType | ( |  | ) | const

Returns the type of the local XMPP client.

By default this is "pc".

QString QXmppDiscoveryManager::requestInfo | ( | const QString & | jid,
|  | const QString & | node = `""`
| ) |  |

Requests information from the specified XMPP entity.

Parameters

  jid | The target entity's JID.
  node | The target node (optional).

QString QXmppDiscoveryManager::requestItems | ( | const QString & | jid,
|  | const QString & | node = `""`
| ) |  |

Requests items from the specified XMPP entity.

Parameters

  jid | The target entity's JID.
  node | The target node (optional).

void QXmppDiscoveryManager::setClientCapabilitiesNode | ( | const QString & | node | ) |

Sets the capabilities node of the local XMPP client.

Parameters

  node |

void QXmppDiscoveryManager::setClientCategory | ( | const QString & | category | ) |

Sets the category of the local XMPP client.

You can find a list of valid categories at: http://xmpp.org/registrar/disco-categories.html

Parameters

  category |

void QXmppDiscoveryManager::setClientInfoForm | ( | const QXmppDataForm & | form | ) |

Sets the client's extended information form, as defined by XEP-0128 Service Discovery Extensions.

void QXmppDiscoveryManager::setClientName | ( | const QString & | name | ) |

Sets the name of the local XMPP client.

Parameters

  name |

void QXmppDiscoveryManager::setClientType | ( | const QString & | type | ) |

Sets the type of the local XMPP client.

You can find a list of valid types at: http://xmpp.org/registrar/disco-categories.html

Parameters

  type |

The documentation for this class was generated from the following files:

- QXmppDiscoveryManager.h
- QXmppDiscoveryManager.cpp